# BasicString Class Reference

Used for convenient conversion of basic data types to std::string. More...

`#include <BasicString.h>`

List of all members.

## Public Member Functions

| BasicString (const char *s, size_type n)
| See std::string.
| BasicString (const char *s)
| See std::string.
| BasicString (std::string &s)
| See std::string.
| BasicString (std::string &s, size_type pos, size_type n=npos)
| See std::string.
| BasicString (size_type n, char c)
| See std::string.
| BasicString (const int x)
| Convert an int to a character string.
| BasicString (const unsigned x)
| Convert an unsigned int to a string.
| BasicString (const long x)
| Convert a long to a string.
| BasicString (const unsigned long x)
| Convert an unsigned long to a string.
| BasicString (const double x)
| Convert a double to a string.

## Static Public Member Functions

unsigned char | parseUByte (const std::string s)
char | parseByte (const std::string s)
unsigned short | parseUShort (const std::string s)
short | parseShort (const std::string s)
unsigned int | parseUInteger (const std::string s)
int | parseInteger (const std::string s)
double | parseDouble (const std::string s)
bool | parseBool (const std::string s)
std::string | trim (const std::string s)
std::string | toUpper (const std::string s)
std::string | toLower (const std::string s)

## Detailed Description

Used for convenient conversion of basic data types to std::string.

## Constructor & Destructor Documentation

BasicString::BasicString | ( | const char * | s,
|  | size_type | n
| ) | `[inline]`

| See std::string.

BasicString::BasicString | ( | const char * | s | ) | `[inline]`

| See std::string.

BasicString::BasicString | ( | std::string & | s | ) | `[inline]`

| See std::string.

BasicString::BasicString | ( | std::string & | s,
|  | size_type | pos,
|  | size_type | n = `npos`
| ) | `[inline]`

| See std::string.

BasicString::BasicString | ( | size_type | n,
|  | char | c
| ) | `[inline]`

| See std::string.

BasicString::BasicString | ( | const int | x | ) |

Convert an int to a character string.

Parameters:

  | x | The int to convert.

BasicString::BasicString | ( | const unsigned | x | ) |

Convert an unsigned int to a string.

Parameters:

  | x | The unsigned int to convert.

BasicString::BasicString | ( | const long | x | ) |

Convert a long to a string.

Parameters:

  | x | The long to convert.

BasicString::BasicString | ( | const unsigned long | x | ) |

Convert an unsigned long to a string.

Parameters:

  | x | The unsigned long to convert.

BasicString::BasicString | ( | const double | x | ) |

Convert a double to a string.

Parameters:

  | x | The double to convert.

## Member Function Documentation

bool BasicString::parseBool | ( | const std::string | s | ) | `[static]`

char BasicString::parseByte | ( | const std::string | s | ) | `[static]`

double BasicString::parseDouble | ( | const std::string | s | ) | `[static]`

int BasicString::parseInteger | ( | const std::string | s | ) | `[static]`

short BasicString::parseShort | ( | const std::string | s | ) | `[static]`

unsigned char BasicString::parseUByte | ( | const std::string | s | ) | `[static]`

unsigned int BasicString::parseUInteger | ( | const std::string | s | ) | `[static]`

unsigned short BasicString::parseUShort | ( | const std::string | s | ) | `[static]`

string BasicString::toLower | ( | const std::string | s | ) | `[static]`

string BasicString::toUpper | ( | const std::string | s | ) | `[static]`

string BasicString::trim | ( | const std::string | s | ) | `[static]`

The documentation for this class was generated from the following files:

- BasicString.h
- BasicString.cpp